language: php

matrix:
  include:
    - php: 5.4
    - php: 5.5
      env: COMPOSER_OPTS="--prefer-lowest"
    - php: 5.6
    - php: 7.0
    - php: 7.1
    - php: 7.2
    - php: nightly
    - php: hhvm
    - php: hhvm-3.3
      env: COMPOSER_OPTS="--prefer-lowest"

  allow_failures:
    - php: nightly
    - php: hhvm

before_install:
  - sudo apt-get update -qq
  - sudo apt-get install -y bash zsh

install:
  - composer self-update
  - composer update $COMPOSER_OPTS

script:
  - vendor/bin/phpunit
